Retrieves the unavailability type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "05eeff63-6e1e-42d0-8237-668408c6a667",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "c943eb04-fa90-4cfe-88fc-350e88cc4c14",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "dac79626-12bf-4f9f-ad66-f1ad1b0783f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "0a33f84e-8d55-4c4b-8b19-d3572c48dba5",
"db_currency_id": "acaa5366-7a77-4d3c-add0-942343584883",
"db_language_id": "c0b64dc8-fd06-42f4-987e-db0bc16cdddb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-09-18T09:34:51.0171102+00:00"
},
"modified_dateutc": "2026-09-18T09:34:51.0171102+00:00"
}